<!DOCTYPE html>
<html lang="ko"
	xmlns:th="http://www.thymeleaf.org">
<!--
 *******************************************************************************
 * @source  : GoodsDetailQnaFormMob.html
 * @desc	: 상품 문의정보 Page
 *============================================================================
 * STYLE24
 * Copyright(C) 2020 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE		 AUTHOR		 DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2021.04.04   eskim	   최초 작성
 *******************************************************************************
 -->
<!-- 상품문의 리스트 내용 -->
<form id="goodsQnaForm" name="goodsQnaForm" action="#" th:action="@{'/goods/qna/list'}">
<input type="hidden" name="pageNo"  value ="1"/>
<input type="hidden" name="pageSize" value ="20"/>
<input type="hidden" name="relGoodsCd" th:value ="${goodsInfo.goodsCd}"/>
<div class="pd_qnalist">
	<div class="info_txt">
		<ul>
			<li>상품에 대해 궁금한 점이 있으시다면 문의해주세요.</li>
			<li>배송, 주문/결제, 취소/반품/교환/환불, 회원, 쿠폰/포인트, 이벤트 등의 자세한 문의사항은 고객센터 &gt; 1:1문의를 이용하여 주시기 바랍니다.</li>
		</ul>			  
		<div class="btn_group_flex">
			<div><button type="button" class="btn btn_default" onclick="cfnGoToPage(_PAGE_ONETOONE_QNA);"><span>고객센터 1:1문의</span></button></div>
		</div>	 
	</div>
	<div class="qna_list">
		<!-- 나열조건결과 있을 때 노출 내용 -->
		<div class="yesdata">
			<div class="form_field check_secret">
				<input id="except_secret" name="except_secret" type="checkbox"  onclick="fnSecretGoodsQnaList();"><label for="except_secret"><span>비밀글제외</span></label>
				<input  type="hidden" name="secretYn" >
			</div>
			<div class="ui_row">
				<div class="foldGroup case2" >
					<!-- list2 -->
					<ul  id="ulGoodsQna">
					</ul>
					<!-- //list2 -->
				</div>
			</div>
		</div>
		<!-- //나열조건결과 있을 때 노출 내용 -->
		<!-- 나열조건결과 없을 때 노출 내용 -->
		<div class="nodata"  style="display:none;">
			<div class="txt_box">
				<p>
					등록된 상품문의가 없습니다.
				</p>
			</div>
		</div>
		<!-- //나열조건결과 없을 때 노출 내용 -->
		<div class="ui_foot"  style="display:none;">
			<button type="button"  class="btn btnIcon_more"  id="btnMore">더보기</button>
		</div>
	</div>
	<div class="btn_group_flex">
		<div><button type="button" class="btn btn_dark" id="btn_pdQnaWrite_pop" th:onclick="cfGoodsQngCreate([[${goodsInfo.goodsCd}]] )"><span>상품 문의하기</span></button></div>
	</div>
</div>
</form>
<script th:inline="javascript">
/*<![CDATA[*/
	
	var fnGoodsQnaList = function() {
		//$('#layer_goods_qna_reg').find('.close-modal').trigger("click");
		gagajf.ajaxFormSubmit($('#goodsQnaForm').prop('action'), '#goodsQnaForm', fnGetListCallback);
	}

	var fnGetListCallback = function(result) {

		if (result.dataList != null && result.dataList.length > 0) {
			if (result.paging.pageable.pageNo == 1){
				$('#ulGoodsQna').html('');
			}	
			
			$.each(result.dataList, function(idx, item) {
				$('#goodsQnaForm').find('.nodata').hide();
				let tag = '';
				tag += '<li class="';  // <!-- 내가 쓴 글에 클래스 my_qna 추가 -->
				if (item.selfGb == 1){
					tag += ' my_qna';	
				}else if (item.secretYn == "Y"){
					tag += ' secret_qna';
				}
				tag += ' ">\n';  // <!-- 내가 쓴 글에 클래스 my_qna 추가 -->
				tag += '	<div class="fold_head">\n';
				tag += '		<a href="javascript:void(0)">\n';
				tag += '			<div>\n';
				tag += '				<div class="fold_tit">\n';
				tag += '					<div class="lap1">\n';
				tag += '						<span class="fold_state ' + (item.ansStat == "G060_10" ? "doing" : "done") + '">' + item.ansStatNm + '</span>\n'; //답변완료 : done / 처리중 : doing
				tag += '						<span class="prod">\n';
				if (item.selfGb == 1){
				tag += '						<i class="ico ico_myqna"></i>';	//내가 쓴 글에 추가되는 아이콘
				}
				if (item.secretYn == "Y"){
				tag += '						<i class="ico ico_secret"></i>';	//비밀글에 추가되는 아이콘
				}
				tag += '						</span>\n';
				tag += '					</div>\n';
				tag += '					<div class="lap2"><span>' + item.questContent.escapeHtml() + '</span></div>\n';
				tag += '					<span class="id">'+ item.maskingCustId+'</span><span class="data">' + item.questDt + '</span>\n';
				tag += '				</div>\n';
				tag += '			</div>\n';
				tag += '		</a>\n';
				tag += '	</div>\n';
				tag += '	<div class="fold_cont">\n';
				tag += '		<div class="fold_detail">\n'; //문의 내용
				tag += '			<div>\n';
				tag += '				<p>' + item.questContent.escapeHtml() + '</p>\n';
				tag += '			</div>\n';
				tag += '		</div>\n';
				
				if (item.ansStat == 'G060_20') { // 답변완료 상태일 때
					tag += '	<div class="fold_answer">\n'; //문의 답변
					tag += '		<div>\n';
					tag += '			<div class="answer_body">' + item.ansContent + '</div>\n';
					tag += '			<div class="answer_foot"><span class="data">' + item.ansDt + '</span>\n';
					tag += '			</div>\n';
					tag += '		</div>\n';
					tag += '	</div>\n';
				}
				tag += '	</div>\n';
				tag += '</li>\n';
				
				$('#ulGoodsQna').append(tag);
			});
			
			if (result.paging.pageable.totalPage > result.paging.pageable.pageNo) {
				$('#btnMore').parent().show();
				$('#goodsQnaForm input[name=pageNo]').val(result.paging.pageable.pageNo + 1);
			}else{
				$('#btnMore').parent().hide();
			}
		
		}else{
			$('.nodata').show();
			$('#ulGoodsQna').html('');
			$('#btnMore').parent().hide();
			$('.form_field.check_secret').hide();
		}
	}
	
	//
	var fnSecretGoodsQnaList = function(){
		$('#goodsQnaForm  input[name="secretYn"]').val('');
		if ($("#goodsQnaForm input:checkbox[name=except_secret]").is(':checked')){
			$('#goodsQnaForm  input[name="secretYn"]').val('N');
		}
		
		$('#goodsQnaForm input[name=pageNo]').val(1);
		fnGoodsQnaList();
	}
	
	// 더보기
	$('#btnMore').on('click', function() {
		fnGoodsQnaList();
	});
	
	
	$(document).ready( function() {
		fnGoodsQnaList();
	});
	
	
/*]]>*/
</script>	

 </html>